com.independentsoft.exchange

## Class MeetingRequest

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Message
    - - com.independentsoft.exchange.MeetingMessage
      - - com.independentsoft.exchange.MeetingRequest

-     public class MeetingRequest
      extends MeetingMessage

  Represents a meeting request in the Exchange store.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdjacentMeetingCount()` Gets the total number of calendar items that are adjacent to a meeting time.
    `java.util.List<Item>` | `getAdjacentMeetings()` Gets all calendar items that are adjacent to a meeting time.
    `boolean` | `getAllowNewTimeProposal()` Gets whether a new meeting time can be proposed for a meeting.
    `BusyStatus` | `getBusyStatus()` Gets the free/busy status of the calendar item.
    `ChangeHighlights` | `getChangeHighlights()` Gets the highlighted changes to a meeting request.
    `java.util.Date` | `getCommonEndTime()` Gets the common end time.
    `java.util.Date` | `getCommonStartTime()` Gets the common start time.
    `int` | `getConferenceType()` Gets the type of conferencing that is performed with a calendar item.
    `int` | `getConflictingMeetingCount()` Gets the number of meetings that conflict with the meeting request.
    `java.util.List<Item>` | `getConflictingMeetings()` Gets all items that conflict with a meeting time.
    `java.util.List<DeletedOccurrence>` | `getDeletedOccurrences()` Gets an array of deleted occurrences of a recurring calendar item.
    `java.lang.String` | `getDuration()` Gets the duration of a calendar item.
    `java.util.Date` | `getEndTime()` Gets the start of a calendar item.
    `TimeZoneDefinition` | `getEndTimeZone()` Gets the end time zone of the calendar item.
    `java.util.Date` | `getEndWallClock()` Gets the end time of a meeting in the time zone of the location in which the meeting takes place.
    `EnhancedLocation` | `getEnhancedLocation()` Gets location information such as the name, address, and optional notes about a location.
    `Occurrence` | `getFirstOccurrence()` Gets the first occurrence of a recurring calendar item.
    `InstanceType` | `getInstanceType()` Gets the instance type.
    `LegacyFreeBusy` | `getIntendedFreeBusyStatus()` Gets the intended status for the calendar item that is associated with the meeting request.
    `java.lang.String` | `getJoinOnlineMeetingUrl()` Gets the URL to join an online meeting.
    `int` | `getLabel()` Gets the label.
    `Occurrence` | `getLastOccurrence()` Gets the last occurrence of a recurring calendar item.
    `LegacyFreeBusy` | `getLegacyFreeBusyStatus()` Gets the free/busy status of the calendar item.
    `java.lang.String` | `getLocation()` Gets the location of a meeting or appointment.
    `boolean` | `getMeetingRequestWasSent()` Gets whether a meeting request has been sent to requested attendees.
    `MeetingStatus` | `getMeetingStatus()` Gets whether this appointment represents a meeting, and if so, what its status is.
    `TimeZone` | `getMeetingTimeZone()` Gets the time zone of the location where the meeting is hosted.
    `java.lang.String` | `getMeetingWorkspaceUrl()` Gets the URL for the meeting workspace that is linked to by the calendar item.
    `java.util.List<Occurrence>` | `getModifiedOccurrences()` Gets an array of recurring calendar item occurrences that have been modified so that they are different than the recurrence master item.
    `ResponseType` | `getMyResponse()` Gets the status of or response to a calendar item.
    `java.lang.String` | `getNetShowUrl()` Gets the URL for a Microsoft Netshow online meeting.
    `OnlineMeetingSettings` | `getOnlineMeetingSettings()` Gets the settings for online meetings.
    `java.util.List<Attendee>` | `getOptionalAttendees()` Gets attendees that are not required to attend a meeting.
    `Mailbox` | `getOrganizer()` Gets the organizer of a meeting.
    `java.util.Date` | `getOriginalStartTime()` Gets the original start time of a calendar item.
    `Priority` | `getPriority()` Gets the appointment's priority status.
    `Recurrence` | `getRecurrence()` Gets the recurrence pattern for calendar items and meeting requests.
    `java.util.Date` | `getRecurrenceEnd()` Gets the recurrence end.
    `java.lang.String` | `getRecurrencePattern()` Gets when and how often an Appointment repeats.
    `java.util.Date` | `getRecurrenceStart()` Gets the recurrence start.
    `java.util.Date` | `getReminderNextTime()` Gets the date and time for the next reminder.
    `boolean` | `getReminderOverrideDefault()` Gets if the reminder overrides the default reminder behavior for the item.
    `boolean` | `getReminderPlaySound()` Gets if the reminder should play a sound when it occurs for this item.
    `java.lang.String` | `getReminderSoundFile()` Gets the fully qualified path name of the audio file that Outlook Mobile plays as the Appointment reminder.
    `java.util.Date` | `getReplyTime()` Gets the date and time when an attendee replied to a meeting request.
    `java.util.List<Attendee>` | `getRequiredAttendees()` Gets attendees that are required to attend a meeting.
    `java.util.List<Attendee>` | `getResources()` Gets a scheduled resource for a meeting.
    `ResponseStatus` | `getResponseStatus()` Gets the overall status of the meeting for the current user for the appointment.
    `int` | `getSequenceNumber()` Gets the sequence number of a version of an appointment.
    `java.util.Date` | `getStartTime()` Gets the start of a calendar item.
    `TimeZoneDefinition` | `getStartTimeZone()` Gets the start time zone of the calendar item.
    `java.util.Date` | `getStartWallClock()` Gets the start time of a meeting in the time zone of the location in which the meeting takes place.
    `int` | `getState()` Gets the status of the appointment.
    `java.lang.String` | `getTimeZone()` Gets a text description of a time zone.
    `MeetingRequestType` | `getType()` Gets the type of the meeting request.
    `java.lang.String` | `getWhen()` Gets a description of when a meeting occurs.
    `boolean` | `isAllDayEvent()` Gets whether a calendar item or meeting request represents an all-day event.
    `boolean` | `isCancelled()` Gets whether an appointment or meeting has been cancelled.
    `boolean` | `isMeeting()` Gets whether the calendar item is either a meeting or appointment.
    `boolean` | `isOnlineMeeting()` Gets whether the meeting is online.
    `boolean` | `isPrivate()` Gets whether the calendar item is private.
    `boolean` | `isRecurring()` Gets whether a calendar item is part of a recurring item.

    - ### Methods inherited from class com.independentsoft.exchange.MeetingMessage

      `getAppointmentId, getDateTimeStamp, getRecurrenceId, getResponseType, getUid, hasBeenProcessed, isDelegated, isOutOfDate`

    - ### Methods inherited from class com.independentsoft.exchange.Message

      `getBccRecipients, getCcRecipients, getConversationIndex, getConversationTopic, getDeferredDeliveryTime, getDeferredSendTime, getDisplayCc, getDisplayTo, getDueDate, getFlagCompleteTime, getFlagIcon, getFlagRequest, getFlagStatus, getFrom, getHideAttachments, getInReplyTo, getInReplyToId, getInternetMessageHeaders, getInternetMessageId, getLastVerbExecuted, getMessageFlags, getReceivedBy, getReceivedRepresenting, getReceivedTime, getReferences, getReplyTo, getResponseItems, getSender, getSentTime, getStartDate, getToRecipients, getVotingOptions, getVotingResponse, isDeliveryReceiptRequested, isDraft, isFromMe, isRead, isReadReceiptRequested, isResend, isResponseRequested, isSubmitted, isUnmodified, setDeferredDeliveryTime, setDeferredSendTime, setDeliveryReceiptRequested, setDueDate, setFlagCompleteTime, setFlagIcon, setFlagRequest, setFlagStatus, setFrom, setHideAttachments, setInReplyTo, setRead, setReadReceiptRequested, setReferences, setResponseRequested, setSender, setStartDate, setVotingOptions, setVotingResponse, toString`

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public MeetingRequestType getType()

      Gets the type of the meeting request.
      Returns:
        the type

    - #### getIntendedFreeBusyStatus

          public LegacyFreeBusy getIntendedFreeBusyStatus()

      Gets the intended status for the calendar item that is associated with the meeting request.
      Returns:
        the intended free busy status

    - #### getChangeHighlights

          public ChangeHighlights getChangeHighlights()

      Gets the highlighted changes to a meeting request.
      Returns:
        the change highlights

    - #### getReminderNextTime

          public java.util.Date getReminderNextTime()

      Gets the date and time for the next reminder.
      Returns:
        the reminder next time

    - #### getStartWallClock

          public java.util.Date getStartWallClock()

      Gets the start time of a meeting in the time zone of the location in which the meeting takes place.
      Returns:
        the start wall clock

    - #### getEndWallClock

          public java.util.Date getEndWallClock()

      Gets the end time of a meeting in the time zone of the location in which the meeting takes place.
      Returns:
        the end wall clock

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start of a calendar item.
      Returns:
        the start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the start of a calendar item.
      Returns:
        the end time

    - #### getOriginalStartTime

          public java.util.Date getOriginalStartTime()

      Gets the original start time of a calendar item.
      Returns:
        the original start time

    - #### isAllDayEvent

          public boolean isAllDayEvent()

      Gets whether a calendar item or meeting request represents an all-day event.
      Returns:
        true, if is all day event

    - #### getLegacyFreeBusyStatus

          public LegacyFreeBusy getLegacyFreeBusyStatus()

      Gets the free/busy status of the calendar item.
      Returns:
        the legacy free busy status

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location of a meeting or appointment.
      Returns:
        the location

    - #### getWhen

          public java.lang.String getWhen()

      Gets a description of when a meeting occurs.
      Returns:
        the when

    - #### isMeeting

          public boolean isMeeting()

      Gets whether the calendar item is either a meeting or appointment.
      Returns:
        true, if is meeting

    - #### isCancelled

          public boolean isCancelled()

      Gets whether an appointment or meeting has been cancelled.
      Returns:
        true, if is cancelled

    - #### isRecurring

          public boolean isRecurring()

      Gets whether a calendar item is part of a recurring item.
      Returns:
        true, if is recurring

    - #### getMeetingRequestWasSent

          public boolean getMeetingRequestWasSent()

      Gets whether a meeting request has been sent to requested attendees.
      Returns:
        the meeting request was sent

    - #### getInstanceType

          public InstanceType getInstanceType()

      Gets the instance type.
      Returns:
        the instance type

    - #### getMyResponse

          public ResponseType getMyResponse()

      Gets the status of or response to a calendar item.
      Returns:
        the my response

    - #### getOrganizer

          public Mailbox getOrganizer()

      Gets the organizer of a meeting.
      Returns:
        the organizer

    - #### getRequiredAttendees

          public java.util.List<Attendee> getRequiredAttendees()

      Gets attendees that are required to attend a meeting.
      Returns:
        the required attendees

    - #### getOptionalAttendees

          public java.util.List<Attendee> getOptionalAttendees()

      Gets attendees that are not required to attend a meeting.
      Returns:
        the optional attendees

    - #### getResources

          public java.util.List<Attendee> getResources()

      Gets a scheduled resource for a meeting.
      Returns:
        the resources

    - #### getConflictingMeetingCount

          public int getConflictingMeetingCount()

      Gets the number of meetings that conflict with the meeting request.
      Returns:
        the conflicting meeting count

    - #### getAdjacentMeetingCount

          public int getAdjacentMeetingCount()

      Gets the total number of calendar items that are adjacent to a meeting time.
      Returns:
        the adjacent meeting count

    - #### getConflictingMeetings

          public java.util.List<Item> getConflictingMeetings()

      Gets all items that conflict with a meeting time.
      Returns:
        the conflicting meetings

    - #### getAdjacentMeetings

          public java.util.List<Item> getAdjacentMeetings()

      Gets all calendar items that are adjacent to a meeting time.
      Returns:
        the adjacent meetings

    - #### getDuration

          public java.lang.String getDuration()

      Gets the duration of a calendar item.
      Returns:
        the duration

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets a text description of a time zone.
      Returns:
        the time zone

    - #### getReplyTime

          public java.util.Date getReplyTime()

      Gets the date and time when an attendee replied to a meeting request.
      Returns:
        the reply time

    - #### getSequenceNumber

          public int getSequenceNumber()

      Gets the sequence number of a version of an appointment.
      Returns:
        the sequence number

    - #### getState

          public int getState()

      Gets the status of the appointment.
      Returns:
        the state

    - #### getRecurrence

          public Recurrence getRecurrence()

      Gets the recurrence pattern for calendar items and meeting requests.
      Returns:
        the recurrence

    - #### getFirstOccurrence

          public Occurrence getFirstOccurrence()

      Gets the first occurrence of a recurring calendar item.
      Returns:
        the first occurrence

    - #### getLastOccurrence

          public Occurrence getLastOccurrence()

      Gets the last occurrence of a recurring calendar item.
      Returns:
        the last occurrence

    - #### getModifiedOccurrences

          public java.util.List<Occurrence> getModifiedOccurrences()

      Gets an array of recurring calendar item occurrences that have been modified so that they are different than the recurrence master item.
      Returns:
        the modified occurrences

    - #### getDeletedOccurrences

          public java.util.List<DeletedOccurrence> getDeletedOccurrences()

      Gets an array of deleted occurrences of a recurring calendar item.
      Returns:
        the deleted occurrences

    - #### getMeetingTimeZone

          public TimeZone getMeetingTimeZone()

      Gets the time zone of the location where the meeting is hosted.
      Returns:
        the meeting time zone

    - #### getStartTimeZone

          public TimeZoneDefinition getStartTimeZone()

      Gets the start time zone of the calendar item.
      Returns:
        the start time zone

    - #### getEndTimeZone

          public TimeZoneDefinition getEndTimeZone()

      Gets the end time zone of the calendar item.
      Returns:
        the end time zone

    - #### getConferenceType

          public int getConferenceType()

      Gets the type of conferencing that is performed with a calendar item.
      Returns:
        the conference type

    - #### getAllowNewTimeProposal

          public boolean getAllowNewTimeProposal()

      Gets whether a new meeting time can be proposed for a meeting.
      Returns:
        the allow new time proposal

    - #### isOnlineMeeting

          public boolean isOnlineMeeting()

      Gets whether the meeting is online.
      Returns:
        true, if is online meeting

    - #### getMeetingWorkspaceUrl

          public java.lang.String getMeetingWorkspaceUrl()

      Gets the URL for the meeting workspace that is linked to by the calendar item.
      Returns:
        the meeting workspace url

    - #### getNetShowUrl

          public java.lang.String getNetShowUrl()

      Gets the URL for a Microsoft Netshow online meeting.
      Returns:
        the net show url

    - #### getEnhancedLocation

          public EnhancedLocation getEnhancedLocation()

      Gets location information such as the name, address, and optional notes about a location.
      Returns:
        the enhanced location

    - #### getJoinOnlineMeetingUrl

          public java.lang.String getJoinOnlineMeetingUrl()

      Gets the URL to join an online meeting.
      Returns:
        the join online meeting url

    - #### getOnlineMeetingSettings

          public OnlineMeetingSettings getOnlineMeetingSettings()

      Gets the settings for online meetings.
      Returns:
        the online meeting settings

    - #### getBusyStatus

          public BusyStatus getBusyStatus()

      Gets the free/busy status of the calendar item.
      Returns:
        the busy status

    - #### getMeetingStatus

          public MeetingStatus getMeetingStatus()

      Gets whether this appointment represents a meeting, and if so, what its status is.
      Returns:
        the meeting status

    - #### getResponseStatus

          public ResponseStatus getResponseStatus()

      Gets the overall status of the meeting for the current user for the appointment.
      Returns:
        the response status

    - #### isPrivate

          public boolean isPrivate()

      Gets whether the calendar item is private.
      Returns:
        true, if is private

    - #### getCommonStartTime

          public java.util.Date getCommonStartTime()

      Gets the common start time.
      Returns:
        the common start time

    - #### getCommonEndTime

          public java.util.Date getCommonEndTime()

      Gets the common end time.
      Returns:
        the common end time

    - #### getReminderOverrideDefault

          public boolean getReminderOverrideDefault()

      Gets if the reminder overrides the default reminder behavior for the item.
      Returns:
        the reminder override default

    - #### getReminderPlaySound

          public boolean getReminderPlaySound()

      Gets if the reminder should play a sound when it occurs for this item.
      Returns:
        the reminder play sound

    - #### getReminderSoundFile

          public java.lang.String getReminderSoundFile()

      Gets the fully qualified path name of the audio file that Outlook Mobile plays as the Appointment reminder.
      Returns:
        the reminder sound file

    - #### getLabel

          public int getLabel()

      Gets the label.
      Returns:
        the label

    - #### getRecurrencePattern

          public java.lang.String getRecurrencePattern()

      Gets when and how often an Appointment repeats.
      Returns:
        the recurrence pattern

    - #### getRecurrenceStart

          public java.util.Date getRecurrenceStart()

      Gets the recurrence start.
      Returns:
        the recurrence start

    - #### getRecurrenceEnd

          public java.util.Date getRecurrenceEnd()

      Gets the recurrence end.
      Returns:
        the recurrence end

    - #### getPriority

          public Priority getPriority()

      Gets the appointment's priority status.
      Returns:
        the priority